<template>
  <div class="d-flex flex-grow-1 flex-column">
    <v-row class="flex-grow-0" dense>
      <v-col cols="12" xl="4">
        <sales-card
          class="h-full"
          style="min-height: 380px"
          :value="1837.32"
          :percentage="3.2"
          :loading="isLoading1"
          :percentage-label="$t('dashboard.lastweek')"
          :action-label="$t('dashboard.viewReport')"
        ></sales-card>
      </v-col>
      <v-col cols="12" md="6" xl="4">
        <sources-card
          :label="$t('common.providerCounters')"
          class="h-full"
          style="min-height: 380px"
          color="#8c9eff"

          :percentage="4.3"
          :loading="isLoading2"
          :percentage-label="$t('dashboard.lastweek')"
        ></sources-card>
      </v-col>
      <v-col cols="12" md="6" xl="4">
        <activity-card class="h-full" />
      </v-col>


    </v-row>
  </div>
</template>

<script>
// DEMO Cards for dashboard
import ActivityCard from "../../components/dashboard/ActivityCard";
import SalesCard from "../../components/dashboard/SalesCard";
import TrackCard from "../../components/dashboard/TrackCard";
import TableCard from "../../components/dashboard/TableCard";
import SourcesCard from "../../components/dashboard/SourcesCard";

export default {
  components: {
    SalesCard,
    ActivityCard,
    TrackCard,
    TableCard,
    SourcesCard,
  },
  data() {
    return {
      loadingInterval: null,

      isLoading1: true,
      isLoading2: true,
      isLoading3: true,
      isLoading4: true,

      ordersSeries: [
        {
          name: "Orders",
          data: [
            ["2020-02-02", 34],
            ["2020-02-03", 43],
            ["2020-02-04", 40],
            ["2020-02-05", 43],
          ],
        },
      ],

      customersSeries: [
        {
          name: "Customers",
          data: [
            ["2020-02-02", 13],
            ["2020-02-03", 11],
            ["2020-02-04", 13],
            ["2020-02-05", 12],
          ],
        },
      ],
    };
  },
  computed: {
    theme() {
      return this.$vuetify.theme.isDark
        ? this.$vuetify.theme.defaults.dark
        : this.$vuetify.theme.defaults.light;
    },
  },
  mounted() {
    let count = 0;

    // DEMO delay for loading graphics
    this.loadingInterval = setInterval(() => {
      this[`isLoading${count++}`] = false;
      if (count === 4) this.clear();
    }, 400);
  },
  beforeDestroy() {
    this.clear();
  },
  methods: {
    clear() {
      clearInterval(this.loadingInterval);
    },
  },
};
</script>
